package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 厂商表（药品提供者）
 * create by daiyihua
 */
@Entity
@Table(name = "drug_provider")
public class DrugProvider {

    /**
     * 主键，对应user表的ID
     */
    @Id
    private Integer id;

    /**
     * 药厂名称
     */
    @Column(name = "factory_name", nullable = false)
    private String factoryName;

    /**
     * 药品名称（用，隔开）
     */
    @Column(name = "drug_names", nullable = false)
    private String drugNames;

    /**
     * 是否删除
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time", nullable = false)
    private Date updateTime;

    /**
     * 二维码链接
     */
    @Column(name = "qr_code_url")
    private String qrCodeUrl;

    /**
     * 二维码内容
     */
    @Column(name = "qr_code_content")
    private String qrCodeContent;


    /**
     * 状态：0-启用，1-禁用
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 父类ID，一级经销商的值为0
     */
    @Column(name = "parent_id")
    private Integer parentId;

    /**
     * 树状
     */
    @Column(name = "tree_code")
    private String treeCode;

    /**
     * 深度，从1开始
     */
    @Column(name = "depth")
    private Integer depth;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFactoryName() {
        return factoryName;
    }

    public void setFactoryName(String factoryName) {
        this.factoryName = factoryName;
    }

    public String getDrugNames() {
        return drugNames;
    }

    public void setDrugNames(String drugNames) {
        this.drugNames = drugNames;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    public String getQrCodeContent() {
        return qrCodeContent;
    }

    public void setQrCodeContent(String qrCodeContent) {
        this.qrCodeContent = qrCodeContent;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getTreeCode() {
        return treeCode;
    }

    public void setTreeCode(String treeCode) {
        this.treeCode = treeCode;
    }

    public Integer getDepth() {
        return depth;
    }

    public void setDepth(Integer depth) {
        this.depth = depth;
    }
}

